VHDLib - Task #67
Task # 66 (Closed): MS - Verification

MINI_LFR - WFP & MS - 0.1.2 - VERIFICATION
25/02/2014 02:42 PM - Jean-Christophe Pellion

Status: Closed Start date: 25/02/2014
Priority: Normal Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.0 Spent time: 0.00 hour
revision:

Description

+PDB file :+ "MINI_LFR-WFP_MS-0.1.1.pdb":
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/164/MINI_LFR-WFP_MS-0.1.1.pdb
+Code Revision :+ r306

Le waveform picker n'a normalement pas évolué depuis la version 0.0.10.

La matrice Spectrale a été ajoutée. Et les datas dans les buffers sont précédés de deux "Word" pour le coarse time et le fine time.
Les buffers ont donc une taille de 3202 words.

@x0 COARSE_TIME

@x4 FINE_TIME

@x8 B1B1 Re 1

@xC B1B1 Re 2

@x204 B1B1 Re 128
@x208 B1B2 Re 1
@x20C B1B2 Im 1
@x210 B1B2 Re 2
@x214 B1B2Im 2

Pour bien fonctionner, il faut aligner I'adresse des buffers sur une adresse terminant par 0x38.
En effet, il faut que I'adresse de la data B1B1_Re_1 commence a une adresse 0x00. (histoire qu'un burst DMA ne traverse jamais
une barriere de 4kB)

Related issues:
Copied to Task #69: MINI_LFR - WFP & MS - 0.1.4 - VERIFICATION Closed 25/02/2014

History

#1 - 25/02/2014 02:46 PM - Jean-Christophe Pellion

- Target version set to 1.0

#2 - 26/02/2014 11:12 AM - Jean-Christophe Pellion
- Subject changed from MINI_LFR - WFP & MS - 0.1.1 - VERIFICATION to MINI_LFR - WFP & MS - 0.1.2 - VERIFICATION

+PDB file :+ "MINI_LFR-WFP_MS-0.1.2.pdb":
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/165/MINI_LFR-WFP_MS-0.1.2.pdb
+Code Revision :+ r309

Change ncycle_cnv param of top_ad_conv_ADS7886_v2 (ADC driver) from 250 to 249.

#3 - 26/02/2014 11:14 AM - Jean-Christophe Pellion

- Status changed from New to Closed

Jean-Christophe Pellion wrote:
+PDB file :+ "MINI_LFR-WFP_MS-0.1.1.pdb":

https://hephaistos.lpp.polytechnigque.fr/redmine/attachments/download/164/MINI_LFR-WFP_MS-0.1.1.pdb
+Code Revision :+ r306
Le waveform picker n'a normalement pas évolué depuis la version 0.0.10.

La matrice Spectrale a été ajoutée. Et les datas dans les buffers sont précédés de deux "Word" pour le coarse time et le fine time. Les buffers
ont donc une taille de 3202 words.

@x0 COARSE_TIME

@x4 FINE_TIME

@x8 B1B1 Re 1

@xC B1B1 Re 2

@x204 B1B1 Re 128
@x208 B1B2 Re 1
@x20C B1B2 Im 1
@x210 B1B2 Re 2
@x214 B1B21m 2

Pour bien fonctionner, il faut aligner I'adresse des buffers sur une adresse terminant par 0x38.
En effet, il faut que I'adresse de la data B1B1_Re_1 commence a une adresse 0x00. (histoire qu'un burst DMA ne traverse jamais une barriére
de 4kB)
